package com.yihu.jw.entity.thirdUpload;

import com.yihu.jw.entity.UuidIdentityEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * Created by wsy on 2021/9/1.
 */
@Entity
@Table(name = "base_ns_prescription_drug")
public class BaseNsPrescriptionDrugDO extends UuidIdentityEntity {

    private String idPrescriptionDrug;      //记录唯一标识流水号
    private String presNo;                  //处方号
    private String cuntryDrugCode;          //批准文号
    private String eletDrugCode;            //国家药品编码
    private String orgCode;                 //医疗机构编码
    private String apprDrugCode;            //药品通用编码
    private String apprDrugName;            //药品通用名称
    private String drugCode;                //药品商品编码
    private String drugName;                //药品商品名称
    private String drugForm;                //药品剂型
    private String prescriptionDays;        //用药天数
    private String dosage;                  //用药剂量-单次
    private String dosageUnit;              //用药剂量单位-单次
    private String totalDosage;             //用药剂量-总量
    private String totalDosageUnit;         //用药剂量单位-总量
    private String medicineFreq;            //用药频率编码
    private String drugUse;                 //药品用法
    private String standardDesc;            //规格
    private String singlePrice;             //单价
    private String drugTotalPrice;          //金额
    private String comments;                //嘱托
    private String antiComments;            //抗菌药说明
    private String decMethName;             //中药煎煮法名称
    private Date createTime;              //生成时间
    private String upload;                  //上传时间


    @Column(name = "id_prescription_drug")
    public String getIdPrescriptionDrug() {
        return idPrescriptionDrug;
    }

    public void setIdPrescriptionDrug(String idPrescriptionDrug) {
        this.idPrescriptionDrug = idPrescriptionDrug;
    }
    @Column(name = "pres_no")
    public String getPresNo() {
        return presNo;
    }

    public void setPresNo(String presNo) {
        this.presNo = presNo;
    }
    @Column(name = "cuntry_drug_code")
    public String getCuntryDrugCode() {
        return cuntryDrugCode;
    }

    public void setCuntryDrugCode(String cuntryDrugCode) {
        this.cuntryDrugCode = cuntryDrugCode;
    }

    @Column(name = "elet_drug_code")
    public String getEletDrugCode() {
        return eletDrugCode;
    }

    public void setEletDrugCode(String eletDrugCode) {
        this.eletDrugCode = eletDrugCode;
    }

    @Column(name = "org_code")
    public String getOrgCode() {
        return orgCode;
    }

    public void setOrgCode(String orgCode) {
        this.orgCode = orgCode;
    }

    @Column(name = "appr_drug_code")
    public String getApprDrugCode() {
        return apprDrugCode;
    }

    public void setApprDrugCode(String apprDrugCode) {
        this.apprDrugCode = apprDrugCode;
    }

    @Column(name = "appr_drug_name")
    public String getApprDrugName() {
        return apprDrugName;
    }

    public void setApprDrugName(String apprDrugName) {
        this.apprDrugName = apprDrugName;
    }

    @Column(name = "drug_code")
    public String getDrugCode() {
        return drugCode;
    }

    public void setDrugCode(String drugCode) {
        this.drugCode = drugCode;
    }

    @Column(name = "drug_name")
    public String getDrugName() {
        return drugName;
    }

    public void setDrugName(String drugName) {
        this.drugName = drugName;
    }

    @Column(name = "drug_form")
    public String getDrugForm() {
        return drugForm;
    }

    public void setDrugForm(String drugForm) {
        this.drugForm = drugForm;
    }

    @Column(name = "prescription_days")
    public String getPrescriptionDays() {
        return prescriptionDays;
    }

    public void setPrescriptionDays(String prescriptionDays) {
        this.prescriptionDays = prescriptionDays;
    }

    @Column(name = "dosage")
    public String getDosage() {
        return dosage;
    }

    public void setDosage(String dosage) {
        this.dosage = dosage;
    }

    @Column(name = "dosage_unit")
    public String getDosageUnit() {
        return dosageUnit;
    }

    public void setDosageUnit(String dosageUnit) {
        this.dosageUnit = dosageUnit;
    }

    @Column(name = "total_dosage")
    public String getTotalDosage() {
        return totalDosage;
    }

    public void setTotalDosage(String totalDosage) {
        this.totalDosage = totalDosage;
    }

    @Column(name = "total_dosage_unit")
    public String getTotalDosageUnit() {
        return totalDosageUnit;
    }

    public void setTotalDosageUnit(String totalDosageUnit) {
        this.totalDosageUnit = totalDosageUnit;
    }

    @Column(name = "medicine_freq")
    public String getMedicineFreq() {
        return medicineFreq;
    }

    public void setMedicineFreq(String medicineFreq) {
        this.medicineFreq = medicineFreq;
    }

    @Column(name = "drug_use")
    public String getDrugUse() {
        return drugUse;
    }

    public void setDrugUse(String drugUse) {
        this.drugUse = drugUse;
    }

    @Column(name = "standard_desc")
    public String getStandardDesc() {
        return standardDesc;
    }

    public void setStandardDesc(String standardDesc) {
        this.standardDesc = standardDesc;
    }

    @Column(name = "single_price")
    public String getSinglePrice() {
        return singlePrice;
    }

    public void setSinglePrice(String singlePrice) {
        this.singlePrice = singlePrice;
    }

    @Column(name = "drug_total_price")
    public String getDrugTotalPrice() {
        return drugTotalPrice;
    }

    public void setDrugTotalPrice(String drugTotalPrice) {
        this.drugTotalPrice = drugTotalPrice;
    }

    @Column(name = "comments")
    public String getComments() {
        return comments;
    }

    public void setComments(String comments) {
        this.comments = comments;
    }

    @Column(name = "anti_comments")
    public String getAntiComments() {
        return antiComments;
    }

    public void setAntiComments(String antiComments) {
        this.antiComments = antiComments;
    }

    @Column(name = "dec_meth_name")
    public String getDecMethName() {
        return decMethName;
    }

    public void setDecMethName(String decMethName) {
        this.decMethName = decMethName;
    }

    @Column(name = "create_time")
    public Date getCreateTime() {return createTime;}

    public void setCreateTime(Date createTime) {this.createTime = createTime;}

    @Column(name = "upload")
    public String getUpload() {
        return upload;
    }

    public void setUpload(String upload) {
        this.upload = upload;
    }
}
